package com.ruoyi.processdata.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.processdata.mapper.PdProfessionStatisticalMapper;
import com.ruoyi.processdata.domain.PdProfessionStatistical;
import com.ruoyi.processdata.service.IPdProfessionStatisticalService;

/**
 * 专业线版本统计Service业务层处理
 * 
 * @author voluntarydata
 * @date 2023-05-18
 */
@Service
public class PdProfessionStatisticalServiceImpl implements IPdProfessionStatisticalService 
{
    @Autowired
    private PdProfessionStatisticalMapper pdProfessionStatisticalMapper;

    /**
     * 查询专业线版本统计
     * 
     * @param id 专业线版本统计主键
     * @return 专业线版本统计
     */
    @Override
    public PdProfessionStatistical selectPdProfessionStatisticalById(Long id)
    {
        return pdProfessionStatisticalMapper.selectPdProfessionStatisticalById(id);
    }

    /**
     * 查询专业线版本统计列表
     * 
     * @param pdProfessionStatistical 专业线版本统计
     * @return 专业线版本统计
     */
    @Override
    public List<PdProfessionStatistical> selectPdProfessionStatisticalList(PdProfessionStatistical pdProfessionStatistical)
    {
        return pdProfessionStatisticalMapper.selectPdProfessionStatisticalList(pdProfessionStatistical);
    }

    /**
     * 新增专业线版本统计
     * 
     * @param pdProfessionStatistical 专业线版本统计
     * @return 结果
     */
    @Override
    public int insertPdProfessionStatistical(PdProfessionStatistical pdProfessionStatistical)
    {
        pdProfessionStatistical.setCreateTime(DateUtils.getNowDate());
        return pdProfessionStatisticalMapper.insertPdProfessionStatistical(pdProfessionStatistical);
    }

    /**
     * 修改专业线版本统计
     * 
     * @param pdProfessionStatistical 专业线版本统计
     * @return 结果
     */
    @Override
    public int updatePdProfessionStatistical(PdProfessionStatistical pdProfessionStatistical)
    {
        pdProfessionStatistical.setUpdateTime(DateUtils.getNowDate());
        return pdProfessionStatisticalMapper.updatePdProfessionStatistical(pdProfessionStatistical);
    }

    /**
     * 批量删除专业线版本统计
     * 
     * @param ids 需要删除的专业线版本统计主键
     * @return 结果
     */
    @Override
    public int deletePdProfessionStatisticalByIds(Long[] ids)
    {
        return pdProfessionStatisticalMapper.deletePdProfessionStatisticalByIds(ids);
    }

    /**
     * 删除专业线版本统计信息
     * 
     * @param id 专业线版本统计主键
     * @return 结果
     */
    @Override
    public int deletePdProfessionStatisticalById(Long id)
    {
        return pdProfessionStatisticalMapper.deletePdProfessionStatisticalById(id);
    }
}
